Package biotransformer.utils

## Class ChemicalClassFinder

- java.lang.Object
- - biotransformer.utils.ChemicalClassFinder

    public class ChemicalClassFinder
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ChemicalClassFinder.ChemicalClassName`

### Field Summary

Fields
`static java.util.LinkedHashMap<ChemicalClassFinder.ChemicalClassName,​java.util.LinkedHashMap<java.lang.String,​java.lang.String[]>>` `chemicalClassDefinitions`

### Constructor Summary

Constructors
`ChemicalClassFinder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.ArrayList<ChemicalClassFinder.ChemicalClassName>` `AssignChemicalClasses​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `compoundMatchesClassSmartsDefinitions​(org.openscience.cdk.interfaces.IAtomContainer molecule, ChemicalClassFinder.ChemicalClassName className)`
`static ChemicalClassFinder.ChemicalClassName` `findChemicalClass​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isAcylCoAConjugate​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isAlphaHydroxyFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isBetaHydroxyFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isC23BileAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isC24BileAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isEtherLipid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isGlutathioneConjugate​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isGlycerol_3_PhosphateInositol​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isGlyceroLipid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isGlycerophosphoLipid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isGlycinatedCompound​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isGlycosylatedCompound​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isOligoOrPolysaccharide​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isOmegaHydroxyFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isSaturatedFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isSphingoLipid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isSulfatedCompound​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isSulfateEster​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isTetrapyrrole​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isUnsaturatedFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static boolean` `isUnsubstitutedSatudatedFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### chemicalClassDefinitions

    public static java.util.LinkedHashMap<ChemicalClassFinder.ChemicalClassName,​java.util.LinkedHashMap<java.lang.String,​java.lang.String[]>> chemicalClassDefinitions

### Constructor Detail

#### ChemicalClassFinder

    public ChemicalClassFinder()

### Method Detail

#### compoundMatchesClassSmartsDefinitions

    public static boolean compoundMatchesClassSmartsDefinitions​(org.openscience.cdk.interfaces.IAtomContainer molecule,
                                                                ChemicalClassFinder.ChemicalClassName className)
                                                         throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### findChemicalClass

    public static ChemicalClassFinder.ChemicalClassName findChemicalClass​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                                                   throws ambit2.smarts.query.SMARTSException,
                                                                          java.lang.CloneNotSupportedException,
                                                                          org.openscience.cdk.exception.CDKException

Throws:
  `ambit2.smarts.query.SMARTSException`
  `java.lang.CloneNotSupportedException`
  `org.openscience.cdk.exception.CDKException`

#### AssignChemicalClasses

    public static java.util.ArrayList<ChemicalClassFinder.ChemicalClassName> AssignChemicalClasses​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                                                                            throws ambit2.smarts.query.SMARTSException,
                                                                                                   java.lang.CloneNotSupportedException,
                                                                                                   org.openscience.cdk.exception.CDKException

Throws:
  `ambit2.smarts.query.SMARTSException`
  `java.lang.CloneNotSupportedException`
  `org.openscience.cdk.exception.CDKException`

#### isUnsubstitutedSatudatedFattyAcid

    public static boolean isUnsubstitutedSatudatedFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)

#### isFattyAcid

    public static boolean isFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)

#### isUnsaturatedFattyAcid

    public static boolean isUnsaturatedFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)

#### isSaturatedFattyAcid

    public static boolean isSaturatedFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                        throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isAlphaHydroxyFattyAcid

    public static boolean isAlphaHydroxyFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)

#### isBetaHydroxyFattyAcid

    public static boolean isBetaHydroxyFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)

#### isOmegaHydroxyFattyAcid

    public static boolean isOmegaHydroxyFattyAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)

#### isEtherLipid

    public static boolean isEtherLipid​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isGlyceroLipid

    public static boolean isGlyceroLipid​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                  throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isGlycerophosphoLipid

    public static boolean isGlycerophosphoLipid​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                         throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isSphingoLipid

    public static boolean isSphingoLipid​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                  throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isGlycerol_3_PhosphateInositol

    public static boolean isGlycerol_3_PhosphateInositol​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                                  throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isC23BileAcid

    public static boolean isC23BileAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                 throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isC24BileAcid

    public static boolean isC24BileAcid​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                 throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isSulfateEster

    public static boolean isSulfateEster​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                  throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isTetrapyrrole

    public static boolean isTetrapyrrole​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                  throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isOligoOrPolysaccharide

    public static boolean isOligoOrPolysaccharide​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                           throws ambit2.smarts.query.SMARTSException,
                                                  org.openscience.cdk.exception.CDKException

Throws:
  `ambit2.smarts.query.SMARTSException`
  `org.openscience.cdk.exception.CDKException`

#### isGlycosylatedCompound

    public static boolean isGlycosylatedCompound​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                          throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isSulfatedCompound

    public static boolean isSulfatedCompound​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                      throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isGlutathioneConjugate

    public static boolean isGlutathioneConjugate​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                          throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isAcylCoAConjugate

    public static boolean isAcylCoAConjugate​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                      throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### isGlycinatedCompound

    public static boolean isGlycinatedCompound​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                        throws ambit2.smarts.query.SMARTSException

Throws:
  `ambit2.smarts.query.SMARTSException`

#### main

    public static void main​(java.lang.String[] args)
                     throws ambit2.smarts.query.SMARTSException,
                            java.lang.CloneNotSupportedException,
                            org.openscience.cdk.exception.CDKException

Throws:
  `ambit2.smarts.query.SMARTSException`
  `java.lang.CloneNotSupportedException`
  `org.openscience.cdk.exception.CDKException`